$schema: "https://json-schema.org/draft/2020-12/schema"
title: "Sample"
type: "object"

properties:
  sample_id:
    $ref: '../ids.json#/definitions/SampleId'
  type:
    $ref: '../core.json#/definitions/SampleType'
  stage:
    $ref: '../core.json#/definitions/SampleStage'
  status:
    $ref: '../core.json#/definitions/Status'
  collection_date:
    $ref: "../core.json#/definitions/Date"

required:
  - sample_id
  - collection_date
  - type